image: fedora:latest
stages:
  - build
  - test

before_script:
  - dnf install -y gcc meson ninja-build

build:
  stage: build
  script:
  - meson builddir
  - ninja -C builddir

test:
  stage: test
  script:
  - meson builddir
  - ninja -C builddir
  - meson test -C builddir --verbose